library Tetris;

{$include RELEASE_SETTINGS.INC}
{$include DAV_Compiler.inc}
{$include VSTPLUGIN_SWITCHES.INC}

uses
  {$IFDEF FPC}
  Interfaces,
  {$ELSE}
  Windows,
  {$ENDIF}
  Forms,
  DAV_VSTEffect,
  DAV_VSTModule,
  TetrisDM in 'TetrisDM.pas' {TetrisModule: TVSTModule},
  TetrisEditor in 'TetrisEditor.pas' {FmTetris},
  TetrisUnit in 'TetrisUnit.pas';

  
function main(audioMaster: TAudioMasterCallbackFunc): PVSTEffect; cdecl; export;
var
  TetrisModule: TTetrisModule;
begin
  try
    TetrisModule              := TTetrisModule.Create(Application);
    TetrisModule.Effect^.user := TetrisModule;
    TetrisModule.AudioMaster  := audioMaster;
    Result                    := TetrisModule.Effect;
  except
    Result:= nil;
  end;
end;


exports 
  Main name 'main',
  Main name 'VSTPluginMain';


begin
  {$IFDEF FPC}Application.Initialize;{$ENDIF}
end.
